# eric6.Plugins.UiExtensionPlugins.PipInterface.PipPackageDetailsDialog

Module implementing a dialog to show details about a package.

### Global Attributes

None

### Classes

PipPackageDetailsDialog | Class implementing a dialog to show details about a package.

### Functions

None

## PipPackageDetailsDialog

Class implementing a dialog to show details about a package.

### Derived from

QDialog, Ui_PipPackageDetailsDialog

### Class Attributes

None

### Class Methods

None

### Methods

PipPackageDetailsDialog | Constructor
__formatSize | Private slot to format the size.
__formatUploadDate | Private method to format the upload date.
__populateDetails | Private method to populate the details tab.
__populateDownloadUrls | Private method to populate the download URLs tab.
__populateRequiresProvides | Private method to populate the requires/provides tab.
__sanitize | Private method to clean-up the given text.

### Static Methods

None

#### PipPackageDetailsDialog (Constructor)

PipPackageDetailsDialog(detailsData, downloadsData, parent=None)

Constructor

detailsData
  package details (dict)
downloadsData
  downloads information (dict)
parent
  reference to the parent widget (QWidget)

#### PipPackageDetailsDialog.__formatSize

__formatSize(size)

Private slot to format the size.

size
  size to be formatted (integer)

Returns:
  formatted size (string)

#### PipPackageDetailsDialog.__formatUploadDate

__formatUploadDate(datetime)

Private method to format the upload date.

datetime
  upload date and time (xmlrpc.DateTime)

Returns:
  formatted date string (string)

#### PipPackageDetailsDialog.__populateDetails

__populateDetails(detailsData)

Private method to populate the details tab.

detailsData
  package details (dict)

#### PipPackageDetailsDialog.__populateDownloadUrls

__populateDownloadUrls(downloadsData)

Private method to populate the download URLs tab.

downloadsData
  downloads information (dict)

#### PipPackageDetailsDialog.__populateRequiresProvides

__populateRequiresProvides(detailsData)

Private method to populate the requires/provides tab.

detailsData
  package details (dict)

#### PipPackageDetailsDialog.__sanitize

__sanitize(text, forUrl=False)

Private method to clean-up the given text.

text
  raw text (string)
forUrl
  flag indicating to sanitize an URL text (boolean)

Returns:
  processed text (string)

Up